TUNE2FS(8)

NAZWA
tune2fs - modyfikacja dostrajalnych parametrów systemu plików ext2/ext3

SKŁADNIA
tune2fs [ -l ] [ -c max-liczba-montowań ] [ -e zachowanie-w-razie-błędu ] [ -f ] [ -i przerwa-między-sprawdzeniami ] [ -j ] [ -J opcje-dziennika ] [ -m procent-zarezerwowanych-bloków ] [ -o [^]opcje-montowania[,...] ] [ [ -r liczba-zarezerwowanych-bloków ] [ -s flaga-sparse-super ] [ -u użytkownik ] [ -g grupa ] [ -C liczba-montowań ] [ -L etykieta ] [ -M ostatnio-montowany-katalog ] [ -O [^]cecha[,...] ] [ -T czas-ostatniego-sprawdzenia ] [ -U UUID ] urządzenie

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

tune2fs modyfikuje dostrajalne parametry linuksowego systemu plików ext2/ext3.

OPCJE

-c max-liczba-montowań
    Zmiana maksymalnej liczby montowań między dwoma sprawdzeniami systemu plików. Jeżeli max-liczba-montowań jest równa 0 lub -1, wtedy liczba montowań będzie ignorowana przez e2fsck(8) i jądro.

    Ustawienie liczby montowań, po których system plików będzie bezwzględnie sprawdzany, przemiennie spowoduje, że systemy plików z księgowaniem nie będą sprawdzane w tym samym czasie.

    Należy uważnie rozważyć konsekwencje całkowitego wyłączenia tej opcji. Uszkodzone dyski, kable czy błędy w jądrze mogą uszkodzić system plików bez zaznaczania systemu plików jako błędny. Jeżeli używa się systemu plików z księgowaniem, to system plików nigdy nie zostanie zaznaczony jako błędny, dlatego będzie sprawdzany normalnie. Błąd systemu plików wykryty przez jądro wymusi użycie fsck przy następnym restarcie, lecz wtedy może być już za późno, aby zapobiec utracie danych.

    Informacje o sprawdzaniu w zależności od czasu można znaleźć w opisie opcji -i.

-C liczba-montowań
    Ustawia licznik montowań systemu plików. Opcja ta wraz z opcją -c może służyć do wymuszenia sprawdzenia systemu plików po następnym restarcie.

-e zachowanie-w-razie-błędu
    Zmienia zachowanie jądra, gdy wykryty zostanie błąd. We wszystkich przypadkach błąd systemu plików powoduje uruchomienie e2fsck(8) podczas następnego restartu w celu sprawdzenia systemu plików. zachowanie-w-razie-błędu może przyjmować następujące wartości:

    continue
        Kontynuje normalną pracę.

    remount-ro
        Powoduje przejście systemu plików w tryb tylko do odczytu.

    panic
        Wywołuje panikę jądra.

-f  Wymusza kończenie operacji tune2fs nawet w przypadku wystąpienia błędów. Ta opcja jest przydatna podczas wyłączania cechy has_journal w systemie plików posiadającym zewnętrzny dziennik (lub tak uszkodzonym, że sprawia wrażenie posiadającego zewnętrzny dziennik), który nie jest dostępny.

    OSTRZEŻENIE: Usuwanie zewnętrznego dziennika z systemu plików, który nie został prawidłowo odmontowany, bez wcześniejszego zabezpieczenia tego dziennika, może prowadzić do utraty danych i poważnych uszkodzeń systemu plików.

-g grupa
    Ustawia grupę użytkownika, który może używać zarezerwowanych bloków. Parametr grupa może być numerycznym gid-em lub nazwą grupy. Jeżeli podana jest nazwa grupy, jest ona zamieniana na numeryczny gid przed zachowaniem danych w superbloku.

-i  przerwa-między-sprawdzeniami[d|m|w]
    Dostraja maksymalny okres czasu między dwoma sprawdzeniami systemu plików. Brak przedrostka lub d oznacza dni, m miesiące, a w tygodnie. Zero wyłączy sprawdzanie w zależności od upływu czasu.

    Zalecane jest włączenie sprawdzania -c (w zależności od liczby montowań) albo -i (w zależności od upływu czasu) w celu wymuszenia okresowego, pełnego sprawdzania systemu plików przez e2fsck(8). Pominięcie tego może prowadzić do uszkodzenia systemu plików gdy uszkodzone są dyski, kable, pamięć lub wystąpią niezauważone błędy jądra prowadzące do utraty danych lub awarii.

-j  Dodaje dziennik ext3 do systemu plików. Jeżeli opcja -J nie została podana, do utworzenia dziennika o odpowiedniej wielkości (dla podanego systemu plików), przechowywanego w systemie plików, zostaną użyte domyślne parametry. Należy zauważyć, że aby móc używać księgowania, jądro musi obsługiwać ext3.

    Jeżeli ta opcja jest użyta do utworzenia dziennika na już zamontowanym systemie plików, to w głównym katalogu tego systemu plików zostanie utworzony niemodyfikowalny plik .journal, ponieważ jest to jedyna bezpieczna metoda utworzenia i-węzła dla dziennika w zamontowanym systemie plików. W czasie gdy plik dziennika ext3 jest widoczny, nie jest bezpieczne usuwanie lub modyfikowanie go; z tego powodu plik ten jest zaznaczony jako niemodyfikowalny (immutable). Podczas sprawdzania odmontowanych systemów plików e2fsck(8) automatycznie przeniesie pliki .journal do niewidocznego, zarezerwowanego węzła dziennika. Dla wszystkich systemów plików, poza głównym (root), powinno się to stać automatycznie podczas następnego restartu systemu. Ponieważ główny system plików jest zamontowany w trybie tylko do odczytu, w celu dokonania tej przemiany e2fsck(8) musi zostać uruchomiony z dyskietki ratunkowej.

    Aby uniknąć używania dyskietki ratunkowej do dodania dziennika ext3 do głównego systemu plików, skrypty initrd niektórych dystrybucji, np. Debiana, automatycznie skonwertują główny system plików ext2 do ext3, jeżeli używany jest początkowy ramdisk oraz gdy plik /etc/fstab określa typ ext3 dla głównego systemu plików.

-J opcje-dziennika
    Zmienia domyślne parametry dziennika ext3. Opcje dziennika są oddzielone przecinkami i mogą zawierać argument podany po znaku równości ('='). Obsługiwane są następujące opcje dziennika:

    size=rozmiar-dziennika
        Tworzy przechowywany w systemie plików dziennik, o wielkości rozmiar-dziennika megabajtów. Rozmiar dziennika musi wynosić co najmniej 1024 bloki (np. 1MB jeżeli używane są bloki o rozmiarze 1k, 4MB jeżeli 4k, itd.), ale nie może przekraczać 102 400 bloków. System plików musi zawierać ilość wolnego miejsca wystarczającą do utworzenia dziennika.

    device=zewnętrzny-dziennik
        Przyłącza system plików do urządzenia z dziennikiem (journal block device) umieszczonego na zewnętrzny-dziennik. Zewnętrzny dziennik musi być utworzony przez wywołanie

        mke2fs -O journal_dev zewnętrzny-dziennik

        Należy zauważyć, że zewnętrzny-dziennik musi mieć bloki o takim samym rozmiarze jak system plików, który ma z nim współpracować.

        Zamiast podawać nazwę urządzenia bezpośrednio, zewnętrzny-dziennik może być określony przez LABEL=etykieta lub UUID=UUID, aby znaleźć zewnętrzny dziennik na podstawie etykiety woluminu lub UUID przechowywanego w superbloku ext2 na początku dziennika. Do wypisania etykiety i UUID urządzenia z dziennikiem można posłużyć się dumpe2fs(8). Zobacz także opis opcji -L programu tune2fs(8).

    Dla danego systemu plików można podać tylko jedną z opcji size lub device.

-l  Wypisuje zawartość superbloku systemu plików.

-L etykieta-woluminu
    Ustawia etykietę systemu plików. Etykiety systemu plików ext2 mogą zawierać co najwyżej 16 znaków; jeżeli etykieta jest dłuższa niż 16 znaków, tune2fs skróci ją i wypisze ostrzeżenie. Etykieta może być używana przez mount(8), fsck(8) i w /etc/fstab(5) (i pewnie też w innych sytuacjach) poprzez podanie LABEL=etykieta zamiast nazwy urządzenia blokowego, jak np. /dev/hda5.

-m procent-zarezerwowanych-bloków
    Określa dla danego urządzenia procent ogólnej liczby bloków, jaki będą stanowić bloki zarezerwowane.

-M ostatnio-montowany-katalog
    Ustawia katalog, w którym system plików był ostatnio zamontowany.

-o [^]opcja-monotwania[,...]
    Ustawia lub usuwa wskazane opcje montowania w systemie plików. Domyślne opcje montowania mogą zostać nadpisane przez opcje określone albo w /etc/fstab(5), albo przez argumenty linii poleceń przekazane do mount(8). Starsze jądra mogą nie obsługiwać tej cechu; w szczególności jądra starsze od 2.4.20 najprawdopodobniej zignorują pole domyślnych opcji w superbloku.

    Można podać więcej niż jedną opcję montowania do usunięcia lub ustawienia rozdzielając je przecinkami. Opcje montowania poprzedzone znakiem karety ('^') będą usuwane w superbloku systemu plików; opcje bez podanego przedrostka lub poprzedzone znakiem plusa ('+') będą dodane do systemu plików.

    Następujące opcje montowania mogą być ustawione lub wyczyszczone za pomocą tune2fs:

    debug
        Włącza tryb debugowania na tym systemie plików.

    bsdgroups
        Emuluje zachowanie BSD przy tworzeniu nowych plików: będą one brały identyfikator grupy katalogu, w którym zostały utworzone. Domyślne jest standardowe zachowanie systemu V, polegające na tym, że nowo tworzone pliki biorą fsgid bieżącego procesu, chyba że katalog ma ustawiony bit setgid, w którym to przypadku bierze gid z katalogu nadrzędnego i także ustawia bit setgid, jeżeli nowo utworzonym plikiem jest katalog.

    user_xattr
        Włącza rozszerzone atrybuty podane przez użytkownika.

    acl Włącza listy kontroli dostępu POSIX (Posix Access Control Lists).

    uid16
        Wyłącza 32-bitowe UID-y i GID-y. Umożliwia to współdziałanie ze starszymi jądrami, które zachowują wartości 16-bitowych i ich oczekują.

    journal_data
        Kiedy system plików jest zamontowany z włączonym dziennikiem, wszystkie dane (nie tylko metadane) są zapisywane do dziennika przed zapisaniem ich go systemu plików.

    journal_data_ordered
        Kiedy system plików jest zamontowany z włączonym dziennikiem, wymuszane jest zapisywanie danych bezpośrednio do systemu plików przed zapisaniem ich metadanych do dziennika.

    journal_data_writeback
        Kiedy system plików jest zamontowany z włączonym dziennikiem, dane mogą być zapisane do systemu plików, po tym jak ich metadane zostały zapisane do dziennika. Może to zwiększyć przepustowość, jednakże, może to spowodować, że w plikach pojawią się stare dane po załamaniu systemu i odtworzeniu dziennika.

-O [^]cecha[,...]
    Włącza lub wyłącza wskazane cechy (opcje) systemu plików. Można włączyć bądź wyłączyć wiele cech jednocześnie. Muszą one wtedy być oddzielone przecinkami. Cechy poprzedzone przedrostkiem '^' będą wyłączone w superbloku; cechy bez przedrostka lub z przedrostkiem '+' zostaną dodane do systemu plików.

    Następujące cechy mogą być zmienione przez tune2fs:

    dir_index
        Używa haszowanych B-drzew, aby przyspieszyć przeszukiwanie dużych katalogów.

    filetype
        Przechowywanie informacji na temat typu pliku we wpisach do katalogów.

    has_journal
        Tworzenie dziennika ext3 (tak jak przy pomocy opcji -j).

    sparse_super
        Ograniczenie liczbę kopii bezpieczeństwa superbloków dla zaoszczędzenia miejsca na dużych systemach plików.

    Po zmianie cech sparse_super i filetype, trzeba uruchomić na danym systemie plików e2fsck(8), aby przywrócić go do porządku. Jeśli będzie to potrzebne, tune2fs wypisze prośbę, aby administrator uruchomił e2fsck(8). Po ustawieniu cechy dir_index może zostać uruchomiony e2fsck -D , aby skonwertować istniejące katalogo do formatu zhaszowanych B-drzew.

    Ostrzeżenie: Jądra Linuksa starsze od 2.0.39 i wiele z serii 2.1 nie obsługują systemów plików używających powyższych cech. Używanie pewnych, nieobsługiwanych przez jądro cech systemu plików może spowodować, że system plików nie zostanie zamontowany.

-r liczba-zarezerwowanych-bloków
    Zmienia liczbę zarezerwowanych bloków na podanym urządzeniu.

-s [0|1]
    Włącza lub wyłącza cechę sparse_super. Włączenie tej cechy powoduje zaoszczędzenie wolnego miejsca na naprawdę dużych systemach plików. Ma to taki sam skutek jak użycie opcji -O sparse_super .

    Ostrzeżenie: Jądra Linuksa starsze od 2.0.39 oraz jądra z serii 2.1 nie obsługują tej cechy. Nie używaj tej opcji, chyba że wiesz co robisz! Po zmianie tej cechy konieczne jest uruchomienie e2fsck(8) na danym systemie plików.

-T czas-ostatniego-sprawdzenia
    Ustawia czas kiedy system plików był ostatnio sprawdzany przez e2fsck. Może to być przydatne w skryptach używających Zarządcy Woluminów Logicznych (Logical Volume Manager) do tworzenia zrzutu (snapshot) systemu plików i późniejszego jego sprawdzenia. Jeśli system plików nie był uszkodzony, ta opcja może służyć do ustawienia czasu ostatniego sprawdzenia oryginalnego systemu pików. Format czas-ostatniego-sprawdzania jest zgodny z międzynarodowym formatem daty, z opcjonalnie podaną godziną, np. YYYYMMDD[[HHMM]SS]. Słowo kluczowe now jest także akceptowane. Wtedy czas ostatniego sprawdzenia będzie ustawiony na aktualny.

-u użytkownik
    Ustawia użytkownika, który może korzystać z zarezerwowanych bloków. użytkownik może być wartością numeryczną lub nazwą użytkownika. Jeżeli podana jest nazwa użytkownika, jest ona zamieniana na numeryczny uid przed zapisem do superbloku.

-U UUID
    Ustawia uniwersalny, unikatowy identyfikator (universally unique identifier - UUID) systemu plików na UUID. UUID składa się z serii cyfr w systemie szesnastkowym oddzielonych myślnikami, jak np.: "c1b9d5a2-f162-11cf-9ece-0020afc76f16". Parametr UUID może przyjmować też następujące wartości:

    clear
        usuwa UUID systemu plików

    random
        generuje nowy, przypadkowy UUID

    time
        generuje nowy UUID, oparty na czasie

    UUID może być używany przez mount(8), fsck(8) i w /etc/fstab(5) (i pewnie też w innych sytuacjach) poprzez podanie UUID=uuid zamiast nazwy urządzenia blokowego, jak np. /dev/hda1.

    Więcej informacji można znaleźć w uuidgen(8). Jeżeli system nie posiada dobrego generatora liczb losowych, takiego jak /dev/random lub /dev/urandom, tune2fs automatycznie posłuży się generatorem opartym na czasie.

BŁĘDY
Nie znaleźliśmy jeszcze żadnych błędów, co nie oznacza, że ich tu nie ma...

AUTOR
tune2fs został napisany przez Remy'ego Carda <card@masi.ibp.fr>. Obecnie opiekuje się nim Theodore Ts'o <tytso@alum.mit.edu>.
tune2fs korzysta z biblioteki ext2fs, napisanej przez Theodore'a Ts'o <tytso@mit.edu>. Ta strona podręcznika została napisana przez Christiana Kuhtza <chk@data-hh.Hanse.DE>. Sprawdzanie zależne od upływu czasu zostało dodane przez Uwe Ohse <uwe@tirka.gun.de>.

DOSTĘPNOŚĆ
tune2fs jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
dumpe2fs(8), e2fsck(8), mke2fs(8)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 tune2fs

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.